package com.palmnest.application.core.util;

/**
 * TODO 错放
 */
public class NeigouOAuth2Details {

	private String  scope;
	private String  grantType;
	private String  clientId;
	private String  clientSecret;
	private String  accessToken;
	private String  refreshToken;
	private String  username;
	private String  password;
	private String  authenticationServerUrl;
	private String  resourceServerUrl;
	private boolean isAccessTokenRequest;

	private String surl; //成功地址
	private String gateway_url; //网关地址
	private String createuser_url; //创建用户url
	private String createcompany_url; //创建公司url
	private String default_companyid; //默认公司
	private String createlogintoken_url;
	private String getUserMessage_url;


	public String getGetUserMessage_url() {
		return getUserMessage_url;
	}

	public void setGetUserMessage_url(String getUserMessage_url) {
		this.getUserMessage_url = getUserMessage_url;
	}

	public String getCreatelogintoken_url() {
		return createlogintoken_url;
	}

	public void setCreatelogintoken_url(String createlogintoken_url) {
		this.createlogintoken_url = createlogintoken_url;
	}

	public String getDefault_companyid() {
		return default_companyid;
	}

	public void setDefault_companyid(String default_companyid) {
		this.default_companyid = default_companyid;
	}

	public String getCreatecompany_url() {
		return createcompany_url;
	}

	public void setCreatecompany_url(String createcompany_url) {
		this.createcompany_url = createcompany_url;
	}

	public String getCreateuser_url() {
		return createuser_url;
	}

	public void setCreateuser_url(String createuser_url) {
		this.createuser_url = createuser_url;
	}

	public String getGateway_url() {
		return gateway_url;
	}

	public void setGateway_url(String gateway_url) {
		this.gateway_url = gateway_url;
	}

	public String getSurl() {
		return surl;
	}

	public void setSurl(String surl) {
		this.surl = surl;
	}

	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}

	public String getGrantType() {
		return grantType;
	}

	public void setGrantType(String grantType) {
		this.grantType = grantType;
	}

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getClientSecret() {
		return clientSecret;
	}

	public void setClientSecret(String clientSecret) {
		this.clientSecret = clientSecret;
	}

	public String getAccessToken() {
		return accessToken;
	}

	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	public String getRefreshToken() {
		return refreshToken;
	}

	public void setRefreshToken(String refreshToken) {
		this.refreshToken = refreshToken;
	}

	public String getAuthenticationServerUrl() {
		return authenticationServerUrl;
	}

	public void setAuthenticationServerUrl(String authenticationServerUrl) {
		this.authenticationServerUrl = authenticationServerUrl;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public boolean isAccessTokenRequest() {
		return isAccessTokenRequest;
	}

	public void setAccessTokenRequest(boolean isAccessTokenRequest) {
		this.isAccessTokenRequest = isAccessTokenRequest;
	}

	public String getResourceServerUrl() {
		return resourceServerUrl;
	}

	public void setResourceServerUrl(String resourceServerUrl) {
		this.resourceServerUrl = resourceServerUrl;
	}
}
